- name: Get admin role
  uri:
    url: "https://{{ config.nexus.fqdn }}/provision/rest/v1/security/roles?source=default"
    method: GET
    user: admin
    force_basic_auth: true
    password: "{{ nexus_admin_password }}"
    status_code: "200"
  register: roles

- name: Admin role exists?
  set_fact:
    admin_role_exists: "{{ 'RealmGroup:/' + config.system.admin_role in role_ids }}"
  vars:
    role_ids: "{{ roles.json | json_query('[*].id') }}"

- name: Create admin role
  uri:
    url: "https://{{ config.nexus.fqdn }}/provision/rest/v1/security/roles"
    method: POST
    user: admin
    force_basic_auth: true
    password: "{{ nexus_admin_password }}"
    body: "{{ body }}"
    body_format: json
    status_code: "200"
  vars:
    body:
      id:  "RealmGroup:/{{ config.system.admin_role }}"
      name: "{{ config.system.admin_role }}"
      description: "{{ config.system.admin_role }} role"
      privileges:
        - "nx-all"
  when: not admin_role_exists
